using System;

internal sealed class Delegate267 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate267 delegate267_1)
	{
		return delegate267_1(object_0);
	}

	public extern Delegate267(object object_0, IntPtr intptr_0);

	static Delegate267()
	{
		Class10.smethod_13(typeof(Delegate267).TypeHandle);
	}

	internal static Delegate267 delegate267_0;
}
